> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Green Dot Locations



## OpenAPI

````yaml api-reference/openapi-payments.json GET /greendot/location
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /greendot/location:
    get:
      tags:
        - Green Dot
      summary: Fetch Green Dot Retail Locations
      parameters:
        - description: IP address of the client device making this request. Filterable.
          in: query
          name: ip_address
          schema:
            type: string
        - description: >-
            Latitude of the retail location. Required along with longitude if
            zip_code is not provided. Filterable.
          in: query
          name: latitude
          schema:
            type: string
        - description: >-
            Longitude of the retail location. Required along with latitude if
            zip_code is not provided. Filterable.
          in: query
          name: longitude
          schema:
            type: string
        - description: >-
            Zip code/Postal code of the retailer. Required if latitude and
            longitude are not provided. Filterable.
          in: query
          name: zip_code
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - address: 200 12th St SW
                        city: Forest Lake
                        customer_fee: '3.74'
                        latitude: '45.27678600'
                        longitude: '-93.00201300'
                        phone: '6514649740'
                        retailer_key: '2812'
                        retailer_name: Walmart Supercenter
                        state: MN
                        store_id: Walmart Supercenter2274
                        zip_code: '55025'
              schema:
                properties:
                  data:
                    items:
                      properties:
                        address:
                          description: Street address of the Green Dot retailer
                          type: string
                        city:
                          description: City of the retail location
                          type: string
                        customer_fee:
                          description: >-
                            Fee that will be charged for cash loads at this
                            location
                          pattern: ^-?[0-9]+[.][0-9][0-9]$
                          type: string
                        latitude:
                          description: >-
                            Latitude of the retail location. Required along with
                            longitude if zip_code is not provided. Filterable.
                          type: string
                        longitude:
                          description: >-
                            Longitude of the retail location. Required along
                            with latitude if zip_code is not provided.
                            Filterable.
                          type: string
                        phone:
                          description: Phone number for the retail location
                          type: string
                        retailer_key:
                          description: >-
                            Retail key identifier from Green Dot, this is used
                            for barcode generation API
                          type: string
                        retailer_name:
                          description: Name of the retailer supporting Green Dot
                          type: string
                        state:
                          description: State/province of the retail location
                          type: string
                        store_id:
                          description: >-
                            Store ID of the retail location, not used by the
                            barcode generation API
                          type: string
                        zip_code:
                          description: >-
                            Zip code/Postal code of the retailer. Required if
                            latitude and longitude are not provided. Filterable.
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` greendot_location elements, starting after the
            greendot_location described by `page_cursor`. If no more
            greendot_locations are available, the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````